/*
   mkvmerge -- utility for splicing together matroska files
   from component media subtypes

   Distributed under the GPL v2
   see the file COPYING for details
   or visit https://www.gnu.org/licenses/old-licenses/gpl-2.0.html

   ISO 15924 script list

   Written by Moritz Bunkus <moritz@bunkus.org>.
*/

// -------------------------------------------------------------------------
// NOTE: this file is auto-generated by the "dev:iso15924_list" rake target.
// -------------------------------------------------------------------------

#include "common/common_pch.h"

#include "common/iso15924.h"

namespace mtx::iso15924 {

std::vector<script_t> const g_scripts{
  { "Adlm"s, 166, u8"Adlam"s                                                                                            },
  { "Afak"s, 439, u8"Afaka"s                                                                                            },
  { "Aghb"s, 239, u8"Caucasian Albanian"s                                                                               },
  { "Ahom"s, 338, u8"Ahom, Tai Ahom"s                                                                                   },
  { "Arab"s, 160, u8"Arabic"s                                                                                           },
  { "Aran"s, 161, u8"Arabic (Nastaliq variant)"s                                                                        },
  { "Armi"s, 124, u8"Imperial Aramaic"s                                                                                 },
  { "Armn"s, 230, u8"Armenian"s                                                                                         },
  { "Avst"s, 134, u8"Avestan"s                                                                                          },
  { "Bali"s, 360, u8"Balinese"s                                                                                         },
  { "Bamu"s, 435, u8"Bamum"s                                                                                            },
  { "Bass"s, 259, u8"Bassa Vah"s                                                                                        },
  { "Batk"s, 365, u8"Batak"s                                                                                            },
  { "Beng"s, 325, u8"Bengali (Bangla)"s                                                                                 },
  { "Bhks"s, 334, u8"Bhaiksuki"s                                                                                        },
  { "Blis"s, 550, u8"Blissymbols"s                                                                                      },
  { "Bopo"s, 285, u8"Bopomofo"s                                                                                         },
  { "Brah"s, 300, u8"Brahmi"s                                                                                           },
  { "Brai"s, 570, u8"Braille"s                                                                                          },
  { "Bugi"s, 367, u8"Buginese"s                                                                                         },
  { "Buhd"s, 372, u8"Buhid"s                                                                                            },
  { "Cakm"s, 349, u8"Chakma"s                                                                                           },
  { "Cans"s, 440, u8"Unified Canadian Aboriginal Syllabics"s                                                            },
  { "Cari"s, 201, u8"Carian"s                                                                                           },
  { "Cham"s, 358, u8"Cham"s                                                                                             },
  { "Cher"s, 445, u8"Cherokee"s                                                                                         },
  { "Chrs"s, 109, u8"Chorasmian"s                                                                                       },
  { "Cirt"s, 291, u8"Cirth"s                                                                                            },
  { "Copt"s, 204, u8"Coptic"s                                                                                           },
  { "Cpmn"s, 402, u8"Cypro-Minoan"s                                                                                     },
  { "Cprt"s, 403, u8"Cypriot syllabary"s                                                                                },
  { "Cyrl"s, 220, u8"Cyrillic"s                                                                                         },
  { "Cyrs"s, 221, u8"Cyrillic (Old Church Slavonic variant)"s                                                           },
  { "Deva"s, 315, u8"Devanagari (Nagari)"s                                                                              },
  { "Diak"s, 342, u8"Dives Akuru"s                                                                                      },
  { "Dogr"s, 328, u8"Dogra"s                                                                                            },
  { "Dsrt"s, 250, u8"Deseret (Mormon)"s                                                                                 },
  { "Dupl"s, 755, u8"Duployan shorthand, Duployan stenography"s                                                         },
  { "Egyd"s,  70, u8"Egyptian demotic"s                                                                                 },
  { "Egyh"s,  60, u8"Egyptian hieratic"s                                                                                },
  { "Egyp"s,  50, u8"Egyptian hieroglyphs"s                                                                             },
  { "Elba"s, 226, u8"Elbasan"s                                                                                          },
  { "Elym"s, 128, u8"Elymaic"s                                                                                          },
  { "Ethi"s, 430, u8"Ethiopic (Geʻez)"s                                                                                 },
  { "Geok"s, 241, u8"Khutsuri (Asomtavruli and Nuskhuri)"s                                                              },
  { "Geor"s, 240, u8"Georgian (Mkhedruli and Mtavruli)"s                                                                },
  { "Glag"s, 225, u8"Glagolitic"s                                                                                       },
  { "Gong"s, 312, u8"Gunjala Gondi"s                                                                                    },
  { "Gonm"s, 313, u8"Masaram Gondi"s                                                                                    },
  { "Goth"s, 206, u8"Gothic"s                                                                                           },
  { "Gran"s, 343, u8"Grantha"s                                                                                          },
  { "Grek"s, 200, u8"Greek"s                                                                                            },
  { "Gujr"s, 320, u8"Gujarati"s                                                                                         },
  { "Guru"s, 310, u8"Gurmukhi"s                                                                                         },
  { "Hanb"s, 503, u8"Han with Bopomofo (alias for Han + Bopomofo)"s                                                     },
  { "Hang"s, 286, u8"Hangul (Hangŭl, Hangeul)"s                                                                         },
  { "Hani"s, 500, u8"Han (Hanzi, Kanji, Hanja)"s                                                                        },
  { "Hano"s, 371, u8"Hanunoo (Hanunóo)"s                                                                                },
  { "Hans"s, 501, u8"Han (Simplified variant)"s                                                                         },
  { "Hant"s, 502, u8"Han (Traditional variant)"s                                                                        },
  { "Hatr"s, 127, u8"Hatran"s                                                                                           },
  { "Hebr"s, 125, u8"Hebrew"s                                                                                           },
  { "Hira"s, 410, u8"Hiragana"s                                                                                         },
  { "Hluw"s,  80, u8"Anatolian Hieroglyphs (Luwian Hieroglyphs, Hittite Hieroglyphs)"s                                  },
  { "Hmng"s, 450, u8"Pahawh Hmong"s                                                                                     },
  { "Hmnp"s, 451, u8"Nyiakeng Puachue Hmong"s                                                                           },
  { "Hrkt"s, 412, u8"Japanese syllabaries (alias for Hiragana + Katakana)"s                                             },
  { "Hung"s, 176, u8"Old Hungarian (Hungarian Runic)"s                                                                  },
  { "Inds"s, 610, u8"Indus (Harappan)"s                                                                                 },
  { "Ital"s, 210, u8"Old Italic (Etruscan, Oscan, etc.)"s                                                               },
  { "Jamo"s, 284, u8"Jamo (alias for Jamo subset of Hangul)"s                                                           },
  { "Java"s, 361, u8"Javanese"s                                                                                         },
  { "Jpan"s, 413, u8"Japanese (alias for Han + Hiragana + Katakana)"s                                                   },
  { "Jurc"s, 510, u8"Jurchen"s                                                                                          },
  { "Kali"s, 357, u8"Kayah Li"s                                                                                         },
  { "Kana"s, 411, u8"Katakana"s                                                                                         },
  { "Khar"s, 305, u8"Kharoshthi"s                                                                                       },
  { "Khmr"s, 355, u8"Khmer"s                                                                                            },
  { "Khoj"s, 322, u8"Khojki"s                                                                                           },
  { "Kitl"s, 505, u8"Khitan large script"s                                                                              },
  { "Kits"s, 288, u8"Khitan small script"s                                                                              },
  { "Knda"s, 345, u8"Kannada"s                                                                                          },
  { "Kore"s, 287, u8"Korean (alias for Hangul + Han)"s                                                                  },
  { "Kpel"s, 436, u8"Kpelle"s                                                                                           },
  { "Kthi"s, 317, u8"Kaithi"s                                                                                           },
  { "Lana"s, 351, u8"Tai Tham (Lanna)"s                                                                                 },
  { "Laoo"s, 356, u8"Lao"s                                                                                              },
  { "Latf"s, 217, u8"Latin (Fraktur variant)"s                                                                          },
  { "Latg"s, 216, u8"Latin (Gaelic variant)"s                                                                           },
  { "Latn"s, 215, u8"Latin"s                                                                                            },
  { "Leke"s, 364, u8"Leke"s                                                                                             },
  { "Lepc"s, 335, u8"Lepcha (Róng)"s                                                                                    },
  { "Limb"s, 336, u8"Limbu"s                                                                                            },
  { "Lina"s, 400, u8"Linear A"s                                                                                         },
  { "Linb"s, 401, u8"Linear B"s                                                                                         },
  { "Lisu"s, 399, u8"Lisu (Fraser)"s                                                                                    },
  { "Loma"s, 437, u8"Loma"s                                                                                             },
  { "Lyci"s, 202, u8"Lycian"s                                                                                           },
  { "Lydi"s, 116, u8"Lydian"s                                                                                           },
  { "Mahj"s, 314, u8"Mahajani"s                                                                                         },
  { "Maka"s, 366, u8"Makasar"s                                                                                          },
  { "Mand"s, 140, u8"Mandaic, Mandaean"s                                                                                },
  { "Mani"s, 139, u8"Manichaean"s                                                                                       },
  { "Marc"s, 332, u8"Marchen"s                                                                                          },
  { "Maya"s,  90, u8"Mayan hieroglyphs"s                                                                                },
  { "Medf"s, 265, u8"Medefaidrin (Oberi Okaime, Oberi Ɔkaimɛ)"s                                                         },
  { "Mend"s, 438, u8"Mende Kikakui"s                                                                                    },
  { "Merc"s, 101, u8"Meroitic Cursive"s                                                                                 },
  { "Mero"s, 100, u8"Meroitic Hieroglyphs"s                                                                             },
  { "Mlym"s, 347, u8"Malayalam"s                                                                                        },
  { "Modi"s, 324, u8"Modi, Moḍī"s                                                                                       },
  { "Mong"s, 145, u8"Mongolian"s                                                                                        },
  { "Moon"s, 218, u8"Moon (Moon code, Moon script, Moon type)"s                                                         },
  { "Mroo"s, 264, u8"Mro, Mru"s                                                                                         },
  { "Mtei"s, 337, u8"Meitei Mayek (Meithei, Meetei)"s                                                                   },
  { "Mult"s, 323, u8"Multani"s                                                                                          },
  { "Mymr"s, 350, u8"Myanmar (Burmese)"s                                                                                },
  { "Nand"s, 311, u8"Nandinagari"s                                                                                      },
  { "Narb"s, 106, u8"Old North Arabian (Ancient North Arabian)"s                                                        },
  { "Nbat"s, 159, u8"Nabataean"s                                                                                        },
  { "Newa"s, 333, u8"Newa, Newar, Newari, Nepāla lipi"s                                                                 },
  { "Nkdb"s,  85, u8"Naxi Dongba (na²¹ɕi³³ to³³ba²¹, Nakhi Tomba)"s                                                     },
  { "Nkgb"s, 420, u8"Naxi Geba (na²¹ɕi³³ gʌ²¹ba²¹, 'Na-'Khi ²Ggŏ-¹baw, Nakhi Geba)"s                                    },
  { "Nkoo"s, 165, u8"N’Ko"s                                                                                             },
  { "Nshu"s, 499, u8"Nüshu"s                                                                                            },
  { "Ogam"s, 212, u8"Ogham"s                                                                                            },
  { "Olck"s, 261, u8"Ol Chiki (Ol Cemet’, Ol, Santali)"s                                                                },
  { "Orkh"s, 175, u8"Old Turkic, Orkhon Runic"s                                                                         },
  { "Orya"s, 327, u8"Oriya (Odia)"s                                                                                     },
  { "Osge"s, 219, u8"Osage"s                                                                                            },
  { "Osma"s, 260, u8"Osmanya"s                                                                                          },
  { "Palm"s, 126, u8"Palmyrene"s                                                                                        },
  { "Pauc"s, 263, u8"Pau Cin Hau"s                                                                                      },
  { "Perm"s, 227, u8"Old Permic"s                                                                                       },
  { "Phag"s, 331, u8"Phags-pa"s                                                                                         },
  { "Phli"s, 131, u8"Inscriptional Pahlavi"s                                                                            },
  { "Phlp"s, 132, u8"Psalter Pahlavi"s                                                                                  },
  { "Phlv"s, 133, u8"Book Pahlavi"s                                                                                     },
  { "Phnx"s, 115, u8"Phoenician"s                                                                                       },
  { "Piqd"s, 293, u8"Klingon (KLI pIqaD)"s                                                                              },
  { "Plrd"s, 282, u8"Miao (Pollard)"s                                                                                   },
  { "Prti"s, 130, u8"Inscriptional Parthian"s                                                                           },
  { "Qaaa"s, 900, u8"Reserved for private use (start)"s                                                                 },
  { "Qabx"s, 949, u8"Reserved for private use (end)"s                                                                   },
  { "Rjng"s, 363, u8"Rejang (Redjang, Kaganga)"s                                                                        },
  { "Rohg"s, 167, u8"Hanifi Rohingya"s                                                                                  },
  { "Roro"s, 620, u8"Rongorongo"s                                                                                       },
  { "Runr"s, 211, u8"Runic"s                                                                                            },
  { "Samr"s, 123, u8"Samaritan"s                                                                                        },
  { "Sara"s, 292, u8"Sarati"s                                                                                           },
  { "Sarb"s, 105, u8"Old South Arabian"s                                                                                },
  { "Saur"s, 344, u8"Saurashtra"s                                                                                       },
  { "Sgnw"s,  95, u8"SignWriting"s                                                                                      },
  { "Shaw"s, 281, u8"Shavian (Shaw)"s                                                                                   },
  { "Shrd"s, 319, u8"Sharada, Śāradā"s                                                                                  },
  { "Shui"s, 530, u8"Shuishu"s                                                                                          },
  { "Sidd"s, 302, u8"Siddham, Siddhaṃ, Siddhamātṛkā"s                                                                   },
  { "Sind"s, 318, u8"Khudawadi, Sindhi"s                                                                                },
  { "Sinh"s, 348, u8"Sinhala"s                                                                                          },
  { "Sogd"s, 141, u8"Sogdian"s                                                                                          },
  { "Sogo"s, 142, u8"Old Sogdian"s                                                                                      },
  { "Sora"s, 398, u8"Sora Sompeng"s                                                                                     },
  { "Soyo"s, 329, u8"Soyombo"s                                                                                          },
  { "Sund"s, 362, u8"Sundanese"s                                                                                        },
  { "Sylo"s, 316, u8"Syloti Nagri"s                                                                                     },
  { "Syrc"s, 135, u8"Syriac"s                                                                                           },
  { "Syre"s, 138, u8"Syriac (Estrangelo variant)"s                                                                      },
  { "Syrj"s, 137, u8"Syriac (Western variant)"s                                                                         },
  { "Syrn"s, 136, u8"Syriac (Eastern variant)"s                                                                         },
  { "Tagb"s, 373, u8"Tagbanwa"s                                                                                         },
  { "Takr"s, 321, u8"Takri, Ṭākrī, Ṭāṅkrī"s                                                                             },
  { "Tale"s, 353, u8"Tai Le"s                                                                                           },
  { "Talu"s, 354, u8"New Tai Lue"s                                                                                      },
  { "Taml"s, 346, u8"Tamil"s                                                                                            },
  { "Tang"s, 520, u8"Tangut"s                                                                                           },
  { "Tavt"s, 359, u8"Tai Viet"s                                                                                         },
  { "Telu"s, 340, u8"Telugu"s                                                                                           },
  { "Teng"s, 290, u8"Tengwar"s                                                                                          },
  { "Tfng"s, 120, u8"Tifinagh (Berber)"s                                                                                },
  { "Tglg"s, 370, u8"Tagalog (Baybayin, Alibata)"s                                                                      },
  { "Thaa"s, 170, u8"Thaana"s                                                                                           },
  { "Thai"s, 352, u8"Thai"s                                                                                             },
  { "Tibt"s, 330, u8"Tibetan"s                                                                                          },
  { "Tirh"s, 326, u8"Tirhuta"s                                                                                          },
  { "Toto"s, 294, u8"Toto"s                                                                                             },
  { "Ugar"s,  40, u8"Ugaritic"s                                                                                         },
  { "Vaii"s, 470, u8"Vai"s                                                                                              },
  { "Visp"s, 280, u8"Visible Speech"s                                                                                   },
  { "Wara"s, 262, u8"Warang Citi (Varang Kshiti)"s                                                                      },
  { "Wcho"s, 283, u8"Wancho"s                                                                                           },
  { "Wole"s, 480, u8"Woleai"s                                                                                           },
  { "Xpeo"s,  30, u8"Old Persian"s                                                                                      },
  { "Xsux"s,  20, u8"Cuneiform, Sumero-Akkadian"s                                                                       },
  { "Yezi"s, 192, u8"Yezidi"s                                                                                           },
  { "Yiii"s, 460, u8"Yi"s                                                                                               },
  { "Zanb"s, 339, u8"Zanabazar Square (Zanabazarin Dörböljin Useg, Xewtee Dörböljin Bicig, Horizontal Square Script)"s  },
  { "Zinh"s, 994, u8"Code for inherited script"s                                                                        },
  { "Zmth"s, 995, u8"Mathematical notation"s                                                                            },
  { "Zsye"s, 993, u8"Symbols (Emoji variant)"s                                                                          },
  { "Zsym"s, 996, u8"Symbols"s                                                                                          },
  { "Zxxx"s, 997, u8"Code for unwritten documents"s                                                                     },
  { "Zyyy"s, 998, u8"Code for undetermined script"s                                                                     },
  { "Zzzz"s, 999, u8"Code for uncoded script"s                                                                          },
};

} // namespace mtx::iso15924
